### Method

# Fwupd Report get_device_name

since: 1.8.8

#### Declaration [src]

    const gchar*
    fwupd_report_get_device_name (
      FwupdReport* self
    )

#### Description [src]

Gets the name of the device the update was performed on.

Available since: 1.8.8

#### Return value

Type: `const gchar*`

The name, or `NULL` if unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.